View Issue Details

IDProjectCategoryView StatusLast Update
0004001SymmetricDSBugpublic2022-08-30 13:04
ReporterSaihtam8 Assigned Toemiller  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.2 
Target Version3.14.1Fixed in Version3.14.1 
Summary0004001: Default value being passed as string for MS Sql Server
Descriptionin sql server to sql server replication the default value functions of newid() and newsequentialid() are being passed as strings i.e. 'newid()' and 'newsequentialid()'
Steps To Reproducecreate a table with a column with the data type of uniqueidentifier
set the default value to either newid() or newsequentialid()
replicate the table allowing symmetric to create the table
check the new table and the functions will show up as strings
any inserts into the table will then fail as it try's to insert a string into a uniqueidentifier column
Tagsddl/schema, dialect: sql-server

Relationships

related to 0001753 closedemiller Default values that are functions do not work while creating tables in MySQL 
related to 0003999 closedemiller Unable to translate default column for (new sequentialid()) (very easy fix) 

Activities

hanes

2019-07-17 14:21

developer   ~0001557

create table foo (id varchar(50), myid uniqueidentifier default newid(), primary key (id));

Table is created on the target using a string value, not a function. Inserts to the target table then fail.

Related Changesets

SymmetricDS: 3.14 4256fcd4

2022-08-15 18:31:42

evan-miller-jumpmind

Details Diff
0004001: Fixed newid() and newsequentialid() default values for SQL Server uniqueidentifier columns Affected Issues
0004001
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mssql/MsSql2000DdlBuilder.java Diff File

SymmetricDS: 3.14 725a2898

2022-08-15 18:48:49

evan-miller-jumpmind

Details Diff
0004001: Added null check for platform column Affected Issues
0004001
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mssql/MsSql2000DdlBuilder.java Diff File

Issue History

Date Modified Username Field Change
2019-06-13 12:20 Saihtam8 New Issue
2019-06-13 12:33 elong Tag Attached: ddl/schema
2019-06-13 12:33 elong Tag Attached: dialect: sql-server
2019-07-17 14:21 hanes Status new => confirmed
2019-07-17 14:21 hanes Note Added: 0001557
2019-07-17 14:23 hanes Relationship added related to 0001753
2019-07-17 14:24 hanes Summary Default value being passed as string => Default value being passed as string for MS Sql Server
2022-08-15 18:31 emiller Assigned To => emiller
2022-08-15 18:31 emiller Status confirmed => resolved
2022-08-15 18:31 emiller Resolution open => fixed
2022-08-15 18:31 emiller Fixed in Version => 3.14.1
2022-08-15 18:37 emiller Relationship added related to 0003999
2022-08-15 19:00 Changeset attached => SymmetricDS 3.14 725a2898
2022-08-15 19:00 Changeset attached => SymmetricDS 3.14 4256fcd4
2022-08-30 13:04 admin Status resolved => closed